@import "reset";
@import "general";
@import "global";

// text-overflow: ellipsis;

/* <main.scss> */

body {
    font-family: 'Montserrat', sans-serif;
}

.site {

    display: grid;
    grid-template-columns: auto;
    grid-template-rows: 3rem auto auto;
    grid-template-areas:
        "logo"
        "sidebar"
        "main";

    @include tablet {
        min-height: 100vh;
        align-items: stretch;
        justify-items: stretch;
        grid-template-columns: 3rem auto;
        grid-template-rows: 3rem auto;
        grid-template-areas:
            "logo main"
            "sidebar main";
    }

    @include desktop {
        grid-template-columns: 13rem auto;
        grid-template-areas:
            "logo header"
            "sidebar main";
    }

    &.sticky-header {
        grid-template-rows: auto 2rem;
        grid-template-areas:
            "main";

        > .logo {
            position: fixed;
            top: 0;
            width: 100%;
            height: 3rem;
        }

        > .sidebar {
            position: fixed;
            top: 3rem;
            width: 100%;
            z-index: 1;
        }

        > .main-content {
            margin-top: 3rem;
            z-index: 0;
        }
    }

    > .menu-closed {
        display: none !important;
    }

    > .logo {
        grid-area: logo;
        background-color: #233245;
        color: #d5dae5;
        font-size: 1.2rem;
        font-family: 'Dancing Script', cursive;
        user-select: none;

        display: grid;
        align-items: center;
        grid-template-columns: 3rem auto 3rem;
        grid-template-rows: auto;

        @include tablet {
            grid-template-columns: 1fr;
        }

        @include desktop {
            grid-template-columns: 1fr 3fr;
        }

        > i.icon {
            text-align: center;
            justify-self: center;

            @include tablet {
                font-size: 1.5rem;
            }

            @include desktop {
                font-size: inherit;
            }
        }

        > span {
            font-weight: bold;
            justify-self: left;

            @include tablet {
                display: none;
            }

            @include desktop {
                display: initial;
            }
        }

        > i.menu-btn {
            text-align: center;
            justify-self: center;
            cursor: pointer;
            font-family: "Font Awesome 5 Free";
            font-weight: 900;

            @include tablet {
                display: none;
            }

            &::before {
                content: "\f00d";
            }
        }

        > i.menu-closed::before {
            content: "\f0c9";
        }
    }

    > .site-header {
        display: none;
        grid-area: header;
        background-color: #35475e;
        border-bottom: 3px solid #233245;

        @include desktop {
            display: block;
        }
    }

    > .sidebar {
        grid-area: sidebar;
        background-color: #35475e;
        color: #d5dae5;
        position: relative;
        user-select: none;

        display: grid;
        align-items: stretch;
        justify-items: stretch;
        justify-content: stretch;
        grid-template-columns: auto;
        grid-template-rows: auto;
        padding-bottom: 1.8rem;

        @include tablet {
            align-content: start;
            grid-template-columns: 1fr;
            grid-template-rows: auto;
            padding-bottom: 0;
            overflow: hidden;
        }

        > h2 {
            font-size: 0.8rem;
            //font-weight: bold;
            //font-variant: small-caps;
            //color: lavenderblush;
            color: rgba(255, 255, 255, 0.5);
            //text-shadow: 0.05rem 0.1rem 0.1rem rgba(0, 0, 0, 1);
            padding: 1rem;
            margin: 0.5rem 0 0 0;

            @include tablet {
                display: none;
            }

            @include desktop {
                display: initial;
            }
        }

        > nav {
            width: 100%;

            @include tablet {
                margin-top: 1rem;
            }

            @include desktop {
                margin-top: 0;
            }

            ul {
                list-style-type: none;
                margin: 0;
                width: 100%;

                > li {
                    cursor: pointer;
                    border-bottom: 1px solid #2d415a;
                    height: 2.6rem;

                    &:first-child {
                        border-top: 1px solid #2d415a;

                        @include tablet {
                            border-top: none;
                        }

                        @include desktop {
                            border-top: 1px solid #2d415a;
                        }
                    }

                    &:last-child {
                        border-bottom: 1px solid #2d415a;

                        @include tablet {
                            border-bottom: none;
                        }

                        @include desktop {
                            border-bottom: 1px solid #2d415a;
                        }
                    }

                    &:hover {
                        background-color: rgba(0, 0, 0, 0.3);
                    }

                    > a {
                        color: inherit;
                        text-decoration: none;
                        background-color: transparent;

                        width: 100%;
                        height: 100%;
                        display: grid;
                        grid-template-columns: 2.5rem auto;
                        grid-template-rows: 2.5rem;

                        @include tablet {
                            grid-template-columns: auto;
                            grid-template-rows: 2.5rem;
                        }

                        @include desktop {
                            grid-template-columns: 3.0rem auto;
                            grid-template-rows: 2.5rem;
                        }

                        &:hover {
                            color: inherit;
                            text-decoration: none;
                        }

                        &:focus {
                            background-color: rgba(0, 0, 0, 0.3);
                            border: none;
                            outline: 0;
                        }

                        > i {
                            align-self: center;
                            justify-self: center;
                            font-size: 1.3rem;
                        }

                        > span {
                            align-self: center;
                            font-size: 0.9rem;

                            @include tablet {
                                display: none;
                            }

                            @include desktop {
                                display: initial;
                            }
                        }
                    }
                }
            }
        }
    }

    > .main-content {
        grid-area: main;
        align-self: stretch;
        justify-self: stretch;
        position: relative;

        display: grid;
        align-content: stretch;
        grid-template-rows: 3rem auto 3rem;
        grid-template-columns: auto;
        background-color: #d5dae5;

        > header {
            background-color: #eef1f7;
            line-height: 3rem;
            padding: 0 0.7rem;
            color: #233245;
            font-size: 1.2rem;
            //text-shadow: 0.05rem 0.1rem 0.1rem rgba(0, 0, 0, 0.2);
            text-shadow: none;
            border-bottom: 2px solid #ccd2df;
            margin: 0;

            display: grid;
            align-content: center;
        }

        > footer {
            background-color: #eef1f7;
            color: #6c757d;

            display: grid;
            align-items: center;
            justify-items: right;
            align-content: center;
            justify-content: right;

            > p {
                font-style: italic;
                font-size: 0.8rem;
                padding: 0 1rem;
                margin: 0;
            }
        }
    }
}

.prompt {
    $header-height: 2rem;
    $controls-height: 3rem;

    height: 100%;
    width: 100%;
    left: 0;
    top: 0;
    overflow: hidden;
    position: fixed;
    background-color: rgba($color: #000000, $alpha: 0.5);
    z-index: 10000;
    display: grid;
    place-content: center;
    place-items: center;
    grid-template-columns: 1fr;
    grid-template-rows: auto;

    @include tablet {
        grid-template-columns: $TABLET-MIN-WIDTH - 1px;
    }

    @include desktop {
        grid-template-columns: $TABLET-MIN-WIDTH + 99px;
    }

    > .window {
        border-radius: 0.3rem;
        width: 100%;
        height: 100%;
        display: grid;
        grid-template-areas:
            "header header"
            "message message"
            "accept cancel";
        grid-template-columns: 1fr 1fr;
        grid-template-rows: $header-height 1fr $controls-height;

        > .header {
            grid-area: header;
            padding: 0 0.5rem;
            line-height: $header-height;
            background-color: #545c77;
            text-align: right;
            user-select: none;
            width: 100%;
            height: 100%;

            @include tablet {
                border-top-left-radius: 0.3rem;
                border-top-right-radius: 0.3rem;
            }

            i {
                color: #8fa0b4;
                cursor: pointer;

                &:hover {
                    color: #d6d6d6;
                }
            }
        }

        > .message {
            grid-area: message;
            background-color: white;
            padding: 1rem;
            width: 100%;
            height: 100%;
        }

        > .accept {
            grid-area: accept;
            background-color: white;
            user-select: none;
            text-align: center;
            line-height: $controls-height;
            background-color: #eef1f7;
            font-weight: bold;
            color: #667585;
            cursor: pointer;
            overflow: hidden;
            width: 100%;
            height: 100%;

            @include tablet {
                border-bottom-left-radius: 0.3rem;
            }

            &:hover, &:focus {
                background-color: #1cbe52;
                color: #e9e9e9;
                outline: none;
            }
        }

        > .cancel {
            grid-area: cancel;
            background-color: white;
            user-select: none;
            text-align: center;
            line-height: $controls-height;
            border-left: 1px solid #d5dae5;
            background-color: #eef1f7;
            font-weight: bold;
            color: #667585;
            cursor: pointer;
            overflow: hidden;
            width: 100%;
            height: 100%;

            @include tablet {
                border-bottom-right-radius: 0.3rem;
            }

            &:hover, &:focus {
                background-color: #be1c1c;
                color: #e9e9e9;
                outline: none;
            }
        }

    }
}

/* </main.scss> */